# Campaigns

- [The campaign object](https://developers.rewardful.com/rest-api/campaigns/the-campaign-object.md): A campaign represents a specific program offer with its own display settings and rules that affiliates may register to promote.
- [List campaigns](https://developers.rewardful.com/rest-api/campaigns/list-campaigns.md): Returns a list of all your campaigns.
- [Create campaign](https://developers.rewardful.com/rest-api/campaigns/create-campaign.md): Creates a new campaign in your account with the specified parameters.
- [Retrieve campaign](https://developers.rewardful.com/rest-api/campaigns/retrieve-campaign.md): Retrieves the details of an existing campaign specified by its unique identifier.
- [Update campaign](https://developers.rewardful.com/rest-api/campaigns/update-campaign.md): Updates the specified campaign by setting the values of the parameters passed. Any parameters not provided will be left unchanged.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.rewardful.com/rest-api/campaigns.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
